## org.eclipse.datatools.modelbase.sql.expressions.impl
Class SQLExpressionsPackageImpl

    java.lang.Object
      EPackageImpl
          org.eclipse.datatools.modelbase.sql.expressions.impl.SQLExpressionsPackageImpl

All Implemented Interfaces:
  SQLExpressionsPackage

public class SQLExpressionsPackageImpl
extends EPackageImpl
implements SQLExpressionsPackage

An implementation of the model Package.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.eclipse.datatools.modelbase.sql.expressions.SQLExpressionsPackage
`SQLExpressionsPackage.Literals`

Field Summary

Fields inherited from interface org.eclipse.datatools.modelbase.sql.expressions.SQLExpressionsPackage

`eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, QUERY_EXPRESSION, QUERY_EXPRESSION_DEFAULT, QUERY_EXPRESSION_DEFAULT__COMMENTS, QUERY_EXPRESSION_DEFAULT__DEPENDENCIES, QUERY_EXPRESSION_DEFAULT__DESCRIPTION, QUERY_EXPRESSION_DEFAULT__EANNOTATIONS, QUERY_EXPRESSION_DEFAULT__LABEL, QUERY_EXPRESSION_DEFAULT__NAME, QUERY_EXPRESSION_DEFAULT__PRIVILEGES, QUERY_EXPRESSION_DEFAULT__SQL, QUERY_EXPRESSION_DEFAULT_FEATURE_COUNT, QUERY_EXPRESSION_FEATURE_COUNT, SEARCH_CONDITION, SEARCH_CONDITION_DEFAULT, SEARCH_CONDITION_DEFAULT__COMMENTS, SEARCH_CONDITION_DEFAULT__DEPENDENCIES, SEARCH_CONDITION_DEFAULT__DESCRIPTION, SEARCH_CONDITION_DEFAULT__EANNOTATIONS, SEARCH_CONDITION_DEFAULT__LABEL, SEARCH_CONDITION_DEFAULT__NAME, SEARCH_CONDITION_DEFAULT__PRIVILEGES, SEARCH_CONDITION_DEFAULT__SQL, SEARCH_CONDITION_DEFAULT_FEATURE_COUNT, SEARCH_CONDITION_FEATURE_COUNT, VALUE_EXPRESSION, VALUE_EXPRESSION_DEFAULT, VALUE_EXPRESSION_DEFAULT__COMMENTS, VALUE_EXPRESSION_DEFAULT__DEPENDENCIES, VALUE_EXPRESSION_DEFAULT__DESCRIPTION, VALUE_EXPRESSION_DEFAULT__EANNOTATIONS, VALUE_EXPRESSION_DEFAULT__LABEL, VALUE_EXPRESSION_DEFAULT__NAME, VALUE_EXPRESSION_DEFAULT__PRIVILEGES, VALUE_EXPRESSION_DEFAULT__SQL, VALUE_EXPRESSION_DEFAULT_FEATURE_COUNT, VALUE_EXPRESSION_FEATURE_COUNT`

Method Summary
`void` `createPackageContents()` Creates the meta-model objects for the package.
`EClass` `getQueryExpression()`
`EAttribute` `getQueryExpressionDefault_SQL()`
`EClass` `getQueryExpressionDefault()`
`EClass` `getSearchCondition()`
`EAttribute` `getSearchConditionDefault_SQL()`
`EClass` `getSearchConditionDefault()`
`SQLExpressionsFactory` `getSQLExpressionsFactory()`
`EClass` `getValueExpression()`
`EAttribute` `getValueExpressionDefault_SQL()`
`EClass` `getValueExpressionDefault()`
`static SQLExpressionsPackage` `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### init

    public static SQLExpressionsPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends. Simple dependencies are satisfied by calling this method on all dependent packages before doing anything else. This method drives initialization for interdependent packages directly, in parallel with this package, itself.

  Of this package and its interdependencies, all packages which have not yet been registered by their URI values are first created and registered. The packages are then initialized in two steps: meta-model objects for all of the packages are created before any are initialized, since one package's meta-model objects may refer to those of another.

  Invocation of this method will not affect any packages that have already been initialized.

  See Also:
    `SQLExpressionsPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getQueryExpression

    public EClass getQueryExpression()

  Specified by:
    `getQueryExpression` in interface `SQLExpressionsPackage`
  Returns:
    the meta object for class 'Query Expression'.
  See Also:
    `QueryExpression`

### getValueExpression

    public EClass getValueExpression()

  Specified by:
    `getValueExpression` in interface `SQLExpressionsPackage`
  Returns:
    the meta object for class 'Value Expression'.
  See Also:
    `ValueExpression`

### getSearchCondition

    public EClass getSearchCondition()

  Specified by:
    `getSearchCondition` in interface `SQLExpressionsPackage`
  Returns:
    the meta object for class 'Search Condition'.
  See Also:
    `SearchCondition`

### getQueryExpressionDefault

    public EClass getQueryExpressionDefault()

  Specified by:
    `getQueryExpressionDefault` in interface `SQLExpressionsPackage`
  Returns:
    the meta object for class 'Query Expression Default'.
  See Also:
    `QueryExpressionDefault`

### getQueryExpressionDefault_SQL

    public EAttribute getQueryExpressionDefault_SQL()

  Specified by:
    `getQueryExpressionDefault_SQL` in interface `SQLExpressionsPackage`
  Returns:
    the meta object for the attribute 'SQL'.
  See Also:
    `QueryExpressionDefault.getSQL()`, `SQLExpressionsPackage.getQueryExpressionDefault()`

### getSearchConditionDefault

    public EClass getSearchConditionDefault()

  Specified by:
    `getSearchConditionDefault` in interface `SQLExpressionsPackage`
  Returns:
    the meta object for class 'Search Condition Default'.
  See Also:
    `SearchConditionDefault`

### getSearchConditionDefault_SQL

    public EAttribute getSearchConditionDefault_SQL()

  Specified by:
    `getSearchConditionDefault_SQL` in interface `SQLExpressionsPackage`
  Returns:
    the meta object for the attribute 'SQL'.
  See Also:
    `SearchConditionDefault.getSQL()`, `SQLExpressionsPackage.getSearchConditionDefault()`

### getValueExpressionDefault

    public EClass getValueExpressionDefault()

  Specified by:
    `getValueExpressionDefault` in interface `SQLExpressionsPackage`
  Returns:
    the meta object for class 'Value Expression Default'.
  See Also:
    `ValueExpressionDefault`

### getValueExpressionDefault_SQL

    public EAttribute getValueExpressionDefault_SQL()

  Specified by:
    `getValueExpressionDefault_SQL` in interface `SQLExpressionsPackage`
  Returns:
    the meta object for the attribute 'SQL'.
  See Also:
    `ValueExpressionDefault.getSQL()`, `SQLExpressionsPackage.getValueExpressionDefault()`

### getSQLExpressionsFactory

    public SQLExpressionsFactory getSQLExpressionsFactory()

  Specified by:
    `getSQLExpressionsFactory` in interface `SQLExpressionsPackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.